# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Dist/Joseki.pm) perl(Dist/Joseki/Version.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(ShipIt.pm) perl(ShipIt/Step.pm) perl(Socket.pm) perl(Test/Builder.pm) perl(Test/Builder/Module.pm) perl(YAML.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name ShipIt-Step-ApplyYAMLChangeLogVersion
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: apply version from YAML Changes file to modules and scripts
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MA/MARCEL/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This the ShipIt manpage step reads the most recent version number from the YAML Changes
file and applies it to all modules in `lib/' and to all scripts in `bin/'.

To use it, just list in your `.shipit' file. 

The precondition to using this step is that you always maintain the Changes
file. The `dist' program, found in the Dist::Joseki manpage, furthers such a
development style with its `dist change' command. You can then dispense with
the usual `FindVersion' and `ChangeVersion' steps and just have something
like this (here broken into two lines for clarity):

    steps = ApplyYAMLChangeLogVersion, Manifest, DistTest, Commit, Tag,
            MakeDist, UploadCPAN, DistClean, Twitter


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/S*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

